Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot.io
Class SnapshotOutput<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.snapshot.io.SnapshotOutput<E,P,C,K,H,S>

All Implemented Interfaces:
  AbstractEventBus.Snapshot<E,P,C,K,H,S>, AbstractEventBus.StateSnapshot<E,P,C,K,H,S>

    public class SnapshotOutput<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

extends Object
implements AbstractEventBus.StateSnapshot<E,P,C,K,H,S>

Constructor Summary
`SnapshotOutput()` Takes snapshot, doesn't write it to a file.
`SnapshotOutput(File out)`

Method Summary
`void` | `derivation(K eventId, K handlerId, List<K> inputs)`
`void` | `end(boolean success)`
`void` | `event(K id, E event, boolean directPost)`
`Snapshot` | `getSnapshot()`
`void` | `handler(K id, EventHandler<E,P,C,H,S> eventHandler)`
`void` | `joinInput(K id, K joinNodeId, int index)`
`void` | `joinInputCollector(K joinNodeId, int[] indices, Collection<K[]> elements)`
`void` | `joinNode(K id, Predicate<E,C> predicate, Set<Integer> outputIndices, K eventHandlerId, K nextJoinNodeId)`
`void` | `predicateNode(K id, Predicate<E,C> predicate, Collection<K> trueChildren, Collection<K> trueHandlers, Collection<K> falseChildren, Collection<K> falseHandlers, boolean isRoot)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnapshotOutput

    public SnapshotOutput()

  Takes snapshot, doesn't write it to a file.

### SnapshotOutput

    public SnapshotOutput(File out)

Method Detail

### getSnapshot

    public Snapshot getSnapshot()

### start

    public void start()

  Specified by:
    `start` in interface `AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### end

    public void end(boolean success)

  Specified by:
    `end` in interface `AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### handler

    public void handler(K id,
                        EventHandler<E,P,C,H,S> eventHandler)

  Specified by:
    `handler` in interface `AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### event

    public void event(K id,
                      E event,
                      boolean directPost)

  Specified by:
    `event` in interface `AbstractEventBus.StateSnapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### derivation

    public void derivation(K eventId,
                           K handlerId,
                           List<K> inputs)

  Specified by:
    `derivation` in interface `AbstractEventBus.StateSnapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### predicateNode

    public void predicateNode(K id,
                              Predicate<E,C> predicate,
                              Collection<K> trueChildren,
                              Collection<K> trueHandlers,
                              Collection<K> falseChildren,
                              Collection<K> falseHandlers,
                              boolean isRoot)

  Specified by:
    `predicateNode` in interface `AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### joinInput

    public void joinInput(K id,
                          K joinNodeId,
                          int index)

  Specified by:
    `joinInput` in interface `AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### joinNode

    public void joinNode(K id,
                         Predicate<E,C> predicate,
                         Set<Integer> outputIndices,
                         K eventHandlerId,
                         K nextJoinNodeId)

  Specified by:
    `joinNode` in interface `AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### joinInputCollector

    public void joinInputCollector(K joinNodeId,
                                   int[] indices,
                                   Collection<K[]> elements)

  Specified by:
    `joinInputCollector` in interface `AbstractEventBus.StateSnapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD